Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLink.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLink.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLink.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -31,12 +31,13 @@
         /// <summary>
         /// 工事増減情報フィールド並び
         /// </summary>
-        public enum ConstructionLinkColumn
+        public enum TableColumn
         {
-            CONSTRUCTION_CODE = 0,
-            FLUCTUATION_CODE,
-            ENTRY_DATE,
-            UPDATE_DATE,
+            ConstructionCode = 0,
+            FluctuationCode,
+            LinkType,
+            EntryDate,
+            UpdateDate,
         }
 
         #endregion
@@ -64,7 +65,7 @@
         {
             // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
             string strcmd = "SELECT";
-            strcmd += "  ConstructionCode, FluctuationCode";
+            strcmd += "  ConstructionCode, FluctuationCode, LinkType";
             strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
             strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
             strcmd += " FROM ConstructionLink";
@@ -73,9 +74,9 @@
         }
         #endregion
 
-        #region 読込み処理
+        #region 読込み処理（1件読込み）
         /// <summary>
-        /// 工事増減情報検索
+        /// 工事増減情報検索（1件読込み）
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
         /// <param name="data">工事増減情報データ</param>
@@ -111,9 +112,9 @@
         }
         #endregion
 
-        #region 読込み処理
+        #region 読込み処理（複数件読込み）
         /// <summary>
-        /// 工事増減情報検索
+        /// 工事増減情報検索（複数件読込み）
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
         /// <param name="data">工事増減情報データ</param>
@@ -149,9 +150,9 @@
         }
         #endregion
 
-        #region 追加処理
+        #region 追加処理（1件追加）
         /// <summary>
-        /// 工事増減情報追加
+        /// 工事増減情報追加（1件追加）
         /// </summary>
         /// <param name="data">工事増減情報データ</param>
         /// <returns>true：成功 false：失敗</returns>
@@ -162,14 +163,19 @@
             {
 
                 strcmd = "INSERT INTO ConstructionLink";
-
+                strcmd += " (ConstructionCode,";
+                strcmd += " FluctuationCode,";
+                strcmd += " LinkType,";
+                strcmd += " EntryDate,";
+                strcmd += " UpdateDate)";
                 strcmd += " VALUES (";
 
                 strcmd += string.Format("  {0}", data.ConstructionCode);
                 strcmd += string.Format(", {0}", data.FluctuationCode);
+                strcmd += string.Format(", {0}", data.LinkType);
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -182,7 +188,15 @@
                 return false;
             }
         }
+        #endregion
+
+        #region 追加処理（複数件追加）
         /// <summary>
+        /// 工事増減情報追加（複数件追加）
+        /// </summary>
+        /// <param name="data">工事増減情報データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        /// <summary>
         /// 工事増減情報追加
         /// </summary>
         /// <param name="data">工事増減情報データ</param>
@@ -225,9 +239,10 @@
                 strcmd += " SET";
 
                 strcmd += string.Format("  ConstructionCode = {0}", data.ConstructionCode);
-                strcmd += string.Format(" ,DetailNo = {0}", data.FluctuationCode);
+                strcmd += string.Format(", DetailNo = {0}", data.FluctuationCode);
+                strcmd += string.Format(", LinkType = {0}", data.LinkType);
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -280,11 +295,12 @@
             try
             {
                 // データ取得
-                wrk.ConstructionCode = int.Parse(objwrk[(int)ConstructionLinkColumn.CONSTRUCTION_CODE].ToString());
-                wrk.FluctuationCode = int.Parse(objwrk[(int)ConstructionLinkColumn.FLUCTUATION_CODE].ToString());
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());
+                wrk.FluctuationCode = int.Parse(objwrk[(int)TableColumn.FluctuationCode].ToString());
+                wrk.LinkType = int.Parse(objwrk[(int)TableColumn.LinkType].ToString());
                 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)ConstructionLinkColumn.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ConstructionLinkColumn.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
@@ -299,6 +315,82 @@
 
         #endregion
 
+        #region 1項目更新処理（親コードでの更新）
+        /// <summary>
+        /// 1項目の更新を行う（親コードでの更新）
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE ConstructionLink";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.ConstructionCode:
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.FluctuationCode:
+                        strcmd += string.Format(" FluctuationCode = {0}", ((int)value).ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1項目更新処理（子コードでの更新）
+        /// <summary>
+        /// 1項目の更新を行う（子コードでの更新）
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild2(int FluctuationCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE ConstructionLink";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.ConstructionCode:
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.FluctuationCode:
+                        strcmd += string.Format(" FluctuationCode = {0}", ((int)value).ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += string.Format(" WHERE FluctuationCode = {0}", FluctuationCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region 検索の文字列を返す
 
         /// <summary>
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionMaterialInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionMaterialInfo.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionMaterialInfo.cs	(revision 51)
@@ -0,0 +1,357 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 工事資材情報アクセスクラス
+    /// </summary>
+    public class IOConstructionMaterialInfo : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// フィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            ConstructionCode=0,
+            MaterialItemCode,
+            RentCount,
+            RepayCount,
+            CompleteFlg,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOConstructionMaterialInfo()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region パブリックメソッド
+        /// <summary>
+        /// 検索
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool SelectAction(string AddSQLString, ref List<ConstructionMaterialInfo> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = "SELECT";
+                strcmd += " ConstructionCode,MaterialItemCode,RentCount,RepayCount,CompleteFlg";
+                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " FROM ConstructionMaterialInfo";
+                strcmd += AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    ConstructionMaterialInfo work = new ConstructionMaterialInfo();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+
+        /// <summary>
+        /// 追加
+        /// </summary>
+        /// <param name="data">データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<ConstructionMaterialInfo> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (ConstructionMaterialInfo work in data)
+                {
+                    strcmd = "INSERT INTO ConstructionMaterialInfo";
+
+                    strcmd += " VALUES (";
+
+                    strcmd += string.Format("  {0}", work.ConstructionCode .ToString());
+                    strcmd += string.Format(", {0}", work.MaterialItemCode .ToString());
+                    strcmd += string.Format(", {0}", work.RentCount .ToString());
+                    strcmd += string.Format(", {0}", work.RepayCount .ToString());
+                    strcmd += string.Format(", {0}", work.CompleteFlg.ToString());
+
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd = strcmd + ")";
+
+                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, ConstructionMaterialInfo data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE ConstructionMaterialInfo";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" RentCount = {0}", data.RentCount.ToString());
+                strcmd += string.Format(",RepayCount = {0}", data.RepayCount.ToString());
+                strcmd += string.Format(",CompleteFlg = {0}", data.CompleteFlg.ToString());
+
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+
+        /// <summary>
+        /// 削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM ConstructionMaterialInfo", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref ConstructionMaterialInfo wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.ConstructionCode   = int.Parse(objwrk[(int)NameColumn.ConstructionCode ].ToString());
+                wrk.MaterialItemCode  = int.Parse(objwrk[(int)NameColumn.MaterialItemCode ].ToString());
+                wrk.RentCount  = int.Parse(objwrk[(int)NameColumn.RentCount ].ToString());
+                wrk.RepayCount  = int.Parse(objwrk[(int)NameColumn.RepayCount ].ToString());
+                wrk.CompleteFlg  = int.Parse(objwrk[(int)NameColumn.CompleteFlg ].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate ].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate ].ToString());
+            }
+            catch (MySqlException oraex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+
+        #endregion
+
+        #region パブリックメソッド（特殊処理）
+
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="BusinessTypeCode"></param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int ConstructionCode,int MaterialItemCode)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where ConstructionCode = {0} and MaterialItemCode = {1}", ConstructionCode, MaterialItemCode);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+
+        /// <summary>
+        /// 最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxConstructionCodeKeyCount(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT IFNULL(MAX(ConstructionCode), 0) FROM ConstructionMaterialInfo" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals(""))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+
+            return iRet;
+        }
+
+        /// <summary>
+        /// 指定資材の件数を取得する
+        /// </summary>
+        /// <param name="MaterialKindCode">資材種類コード</param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaterialItemCount(int MaterialItemCode, bool bConnect = true)
+        {
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT COUNT(*) FROM ConstructionMaterialInfo where CompleteFlg = 0 and MaterialItemCode = " + MaterialItemCode;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                iRet = int.Parse((((object[])arData[0])[0]).ToString());
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+
+            return iRet;
+        }
+
+        /// <summary>
+        /// 行ロック
+        /// </summary>
+        /// <param name="MaterialItemCode"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool RowLock(int ConstructionCode,int MaterialItemCode, bool bConnect = true)
+        {
+
+            //インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            
+            try
+            {
+                strcmd = string.Format("select * from ConstructionMaterialInfo  where ConstructionCode = {0} and MaterialItemCode = {1} for update;",
+                                        ConstructionCode,MaterialItemCode);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+
+        }
+
+#endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionProgressDate.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionProgressDate.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionProgressDate.cs	(revision 51)
@@ -5,7 +5,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -110,7 +110,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -136,7 +136,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -156,11 +156,11 @@
                     strcmd += string.Format("  {0}", data.ConstructionCode.ToString());
                     strcmd += string.Format(", {0}", data.ConstructionStatusFlg.ToString());
                     strcmd += string.Format(", {0}", data.PreviousStatusFlg.ToString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d %H:%i:%s')", data.ChangeDate.ToString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.ChangeDate.ToString());
                     strcmd += string.Format(", {0}", data.ChangePersonCode.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -169,7 +169,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -195,10 +195,10 @@
                 strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode.ToString());
                 strcmd += string.Format(",ConstructionStatusFlg = {0}", data.ConstructionStatusFlg.ToString());
                 strcmd += string.Format(",PreviousStatusFlg = {0}", data.PreviousStatusFlg.ToString());
-                strcmd += string.Format(",ChangeDate = DATE_FORMAT('{0}','%Y/%m/%d %H:%i:%s')", data.ChangeDate.ToString());
+                strcmd += string.Format(",ChangeDate = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.ChangeDate.ToString());
                 strcmd += string.Format(",ChangePersonCode = {0}", data.ChangePersonCode.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -207,7 +207,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -234,12 +234,59 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
         #endregion
 
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE ConstructionProgressDate";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)ColumnName.ConstructionCode:
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.ConstructionStatusFlg:
+                        strcmd += string.Format(" ConstructionStatusFlg = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.PreviousStatusFlg:
+                        strcmd += string.Format(" PreviousStatusFlg = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.ChangeDate:
+                        strcmd += string.Format(" ChangeDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)ColumnName.ChangePersonCode:
+                        strcmd += string.Format(" ChangePersonCode = {0}", ((int)value).ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region データセット処理
         /// <summary>
         /// OracleDataReaderより構造体へセットする
@@ -262,11 +309,11 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
 
